mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

You do not need to call the static methods of the class.

Defines utility methods for use by the .NET Framework remoting infrastructure.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates an instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.Conditional("_LOGGING")
  System.Void ``

  You do not need to call the static methods of the class.

  Sends a message concerning a remoting channel to an unmanaged debugger.

  A string to place in the message.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapAttribute ``

  You do not need to call the static methods of the class.

  A "_LOGGING" preprocessing symbol is applied to the method by means of the attribute.

  The class is the base class for various SOAP-related attribute classes in the namespace.

  Gets an appropriate SOAP-related attribute for the specified class member or method parameter.

  The SOAP-related attribute for the specified class member or method parameter.

  A class member or method parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.Conditional("_DEBUG")
  System.Void `` ``

  You do not need to call the static methods of the class.

  A "_DEBUG" preprocessing symbol is applied to the method by means of the attribute.

  Instructs an internal debugger to check for a condition and display a message if the condition is false.

  true to prevent a message from being displayed; otherwise, false. The message to display if is false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.Conditional("_LOGGING")
  System.Void `System.ParamArray`

  You do not need to call the static methods of the class.

  A "_LOGGING" preprocessing symbol is applied to the method by means of the attribute.

  Sends any number of messages concerning remoting channels to an internal debugger.

  An array of type that contains any number of messages.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` ``

  You do not need to call the static methods of the class.

  Sets internal identifying information for a remoted server object for each method call from client to server.

  A that represents a method call on a remote object. Internal identifying information for a remoted server object.